Changeset 211 for ThirdParty/ASL


Ignore:
Timestamp:
Jan 30, 2007 4:46:03 PM (13 years ago)
Author:
andreasw
Message:

reran autotools with latest coin.m4

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/ASL/trunk/configure

    r204 r211  
    846846  --enable-debug-asl compile this project (ASL) with debug options
    847847  --enable-doscompile     Under Cygwin, compile so that executables run under
    848                           DOS (default: disabled)
     848                          DOS. Set to mingw to use gcc/g++/ld with
     849                          -mno-cygwin. Set to msvc to use cl/link. Default
     850                          when mentioned: mingw. Default when not mentioned:
     851                          disabled.
    849852  --disable-dependency-tracking  speeds up one-time build
    850853  --enable-dependency-tracking   do not reject slow dependency extractors
     
    15551558    fi
    15561559    ;;
    1557 esac
    1558 
    1559 # Check whether --enable-doscompile or --disable-doscompile was given.
     1560 esac
     1561 case $enable_doscompile in
     1562   msvc)
     1563     if test "x${LD+set}" = xset; then :; else
     1564       LD=link
     1565     fi
     1566     ;;
     1567 esac
     1568
     1569
     1570 # Check whether --enable-doscompile or --disable-doscompile was given.
    15601571if test "${enable_doscompile+set}" = set; then
    15611572  enableval="$enable_doscompile"
    1562   if test "$enable_doscompile = yes"; then
    1563   case $build in
    1564     *-cygwin*) ;;
    1565     *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes only sense under Cygwin" >&5
    1566 echo "$as_me: error: --enable-doscompile option makes only sense under Cygwin" >&2;}
     1573  if test "$enable_doscompile" != no; then
     1574     case $build in
     1575       *-cygwin*) ;;
     1576       *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin" >&5
     1577echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin" >&2;}
    15671578   { (exit 1); exit 1; }; } ;;
    1568   esac
    1569 fi
     1579     esac
     1580   fi
    15701581else
    15711582  enable_doscompile=no
    15721583fi;
     1584 case "$enable_doscompile" in
     1585   msvc|mingw|no) ;;
     1586   yes) enable_doscompile=mingw ;;
     1587   *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
     1588                    Try configure --help=recursive." >&5
     1589echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
     1590                    Try configure --help=recursive." >&2;}
     1591   { (exit 1); exit 1; }; }
     1592      ;;
     1593  esac
     1594  if test "$enable_doscompile" != no ; then
     1595    { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
     1596echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
     1597  fi
    15731598
    15741599
     
    16041629
    16051630save_cflags="$CFLAGS"
     1631# For sparc-sun-solaris, promote Studio/Workshop compiler to front of list.
     1632# ToDo: If Studio/Workshop cc is not present, we may find /usr/ucb/cc, which
     1633# is likely to be a non-functional shell. But many installations will have
     1634# both cc and gcc, so promoting gcc isn't good either. How to test reliably?
    16061635case $build in
    16071636  *-cygwin* | *-mingw*)
    1608              comps="gcc cl" ;;
     1637             if test "$enable_doscompile" = msvc ; then
     1638               comps="cl"
     1639             else
     1640               comps="gcc cl"
     1641             fi ;;
     1642  sparc-sun-solaris*)
     1643             comps="cc xlc gcc pgcc icc" ;;
    16091644  *-linux-*) comps="xlc gcc cc pgcc icc" ;;
    16101645  *)         comps="xlc_r xlc cc gcc pgcc icc" ;;
     
    16141649# performed with our choice of compilers earlier
    16151650$as_unset ac_cv_prog_CC || test "${ac_cv_prog_CC+set}" != set || { ac_cv_prog_CC=; export ac_cv_prog_CC; }
     1651# AC_MSG_NOTICE([C compiler candidates: $comps])
    16161652ac_ext=c
    16171653ac_cpp='$CPP $CPPFLAGS'
     
    23672403        coin_dbg_cflags="-g"
    23682404        coin_warn_cflags="-pedantic-errors -Wimplicit -Wparentheses -Wsequence-point -Wreturn-type -Wcast-qual -Wall"
    2369         if test "$enable_doscompile" = yes; then
    2370           case $build in
    2371             *-cygwin*)
    2372               CFLAGS="-mno-cygwin"
    2373               cat >conftest.$ac_ext <<_ACEOF
     2405        case $enable_doscompile in
     2406          mingw)
     2407            CFLAGS="-mno-cygwin"
     2408            cat >conftest.$ac_ext <<_ACEOF
    23742409/* confdefs.h.  */
    23752410_ACEOF
     
    24162451rm -f conftest.err conftest.$ac_objext \
    24172452      conftest$ac_exeext conftest.$ac_ext
    2418               CFLAGS=
    2419             ;;
    2420           esac
    2421         fi
     2453            CFLAGS=
     2454          ;;
     2455        esac
    24222456    esac
    24232457  fi
     
    24272461        case "$CC" in
    24282462          cl* | */cl* | CL* | */CL*)
    2429             coin_opt_cflags='-O2'
    2430             coin_add_cflags='-nologo'
     2463            coin_opt_cflags='-MT -O2'
     2464            coin_add_cflags='-nologo -wd4996'
    24312465            coin_dbg_cflags='-MTd'
    24322466            ;;
     
    26042638fi
    26052639
     2640# If CFLAGS contains -mno-cygwin, CPPFLAGS must also have it.
     2641
     2642case "$CFLAGS" in
     2643  *-mno-cygwin*)
     2644    if test x${CPPFLAGS+set} != xset ; then
     2645      CPPFLAGS="-mno-cygwin"
     2646    else
     2647      case "$CPPFLAGS" in
     2648        *-mno-cygwin*)
     2649          ;;
     2650        *)
     2651          CPPFLAGS="$CPPFLAGS -mno-cygwin"
     2652          ;;
     2653      esac
     2654    fi ;;
     2655esac
     2656
    26062657# Try if CFLAGS works
    26072658save_CFLAGS="$CFLAGS"
     
    27282779    fi
    27292780    ;;
    2730 esac
     2781 esac
     2782 case $enable_doscompile in
     2783   msvc)
     2784     if test "x${LD+set}" = xset; then :; else
     2785       LD=link
     2786     fi
     2787     ;;
     2788 esac
    27312789
    27322790    ;;
     
    30703128
    30713129
     3130
     3131# AC_MSG_NOTICE([Beginning automake initialisation.])
    30723132# Stuff for automake
    30733133# test to see if srcdir already configured
     
    37473807  HAVE_EXTERNALS_FALSE=
    37483808fi
     3809
     3810
     3811# AC_MSG_NOTICE([End automake initialisation.])
    37493812
    37503813
Note: See TracChangeset for help on using the changeset viewer.